<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Life&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classLife-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Life&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2e64ae732a81106294953f5bea671096"><td class="memItemLeft" align="right" valign="top"><a id="a2e64ae732a81106294953f5bea671096"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Life</b> (int rows, int cols)</td></tr>
<tr class="separator:a2e64ae732a81106294953f5bea671096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a587bd4853eca692a11a6c71bd831ca59"><td class="memItemLeft" align="right" valign="top"><a id="a587bd4853eca692a11a6c71bd831ca59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addCell</b> (int r, int c)</td></tr>
<tr class="separator:a587bd4853eca692a11a6c71bd831ca59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c7840a94b3980028da85dcaf647494"><td class="memItemLeft" align="right" valign="top"><a id="a19c7840a94b3980028da85dcaf647494"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>advanceGeneration</b> ()</td></tr>
<tr class="separator:a19c7840a94b3980028da85dcaf647494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab326f39e12015a6e1c59813547902dbd"><td class="memItemLeft" align="right" valign="top"><a id="ab326f39e12015a6e1c59813547902dbd"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> ()</td></tr>
<tr class="separator:ab326f39e12015a6e1c59813547902dbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Life_8h_source.html">Life.h</a></li>
<li>Life.c++</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
